(function ($) {

    'use strict';
    
    
    /****************render function**********************************/
    
    
    $.fn.dataTable.render.ellipsis = function ( cutoff, wordbreak, escapeHtml ) {
        var esc = function ( t ) {
            return t
                .replace( /&/g, '&amp;' )
                .replace( /</g, '&lt;' )
                .replace( />/g, '&gt;' )
                .replace( /"/g, '&quot;' );
        };
        
        /*$(".moreellipses1").on('click',function(){
        alert("test");
			//var modalContent = jQuery(this).parents(".ellipsis").next(".fullContent").html();
			//jQuery('#tableCellContentModal').modal();
            //jQuery("#tableCellContentModal .modal-body").html(modalContent);
        //return false;
    });*/
     
        return function ( d, type, row ) {
            // Order, search and type get the original data
            if ( type !== 'display' ) {
                return d;
            }
     
            if ( typeof d !== 'number' && typeof d !== 'string' ) {
                return d;
            }
     
            d = d.toString(); // cast numbers
     
            if ( d.length < cutoff ) {
                return d;
            }
     
            var shortened = d.substr(0, cutoff-1);
     
            // Find the last white space character in the string
            if ( wordbreak ) {
                shortened = shortened.replace(/\s([^\s]*)$/, '');
            }
     
            // Protect against uncontrolled HTML input
            if ( escapeHtml ) {
                shortened = esc( shortened );
            }
     
            return '<span class="ellipsis" data-toggle="tooltip-tablecell" data-placement="top" title="" data-original-title="'+esc(d)+'">'+shortened+'</span><span class="moreellipses1" data-toggle="tooltip-tablecell" data-placement="top" title="" data-original-title="'+esc(d)+'" >&#8230;</span><span class="fullContent" style="display:none">'+esc(d)+'</span>';
        };
    };
/*****************************************************************/
    
    
    
    
    function init() { 
        
           //dataTable for enquiry grid
		if($('.enquiryjs').length>0){
			$('.enquiryjs').DataTable({
				 "order": [[ 4, "desc" ]], //or asc 
    "columnDefs" : [{"targets":4, "type":"date-eu"}],
			
			});
		}
        
	    //dataTable
		if($('#datatable').length>0){
			$('#datatable').DataTable(
			);
		}
		if($('#datatable_assignToMe').length>0){
			$('#datatable_assignToMe').DataTable(
			);
		}
		if($('#datatable_enqPool').length>0){
			$('#datatable_enqPool').DataTable(
			);
		}
		
		if($('#datatable_allEnquiry').length>0){
			$('#datatable_allEnquiry').DataTable(
			);
		}
		 
	    //dataTable with export to excel stages
		if($('.datatableWithExportStages').length>0){
			$('.datatableWithExportStages').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Stages',
					exportOptions: {
						columns: [0,1]
					}
				}],
				columnDefs: [
					{ targets: [2], orderable: false }
				]
			
			});
		}
	    //dataTable with export to excel holidays
		if($('.datatableWithExportHolidays').length>0){
			$('.datatableWithExportHolidays').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Holidays',
					exportOptions: {
						columns: [0,1,2,3,4]
					}
				}],
				columnDefs: [
					{ targets: [5], orderable: false }
				]
			
			});
		}
	    //dataTable with export to excel document types
		if($('.datatableWithExportDocumentTypes').length>0){
			$('.datatableWithExportDocumentTypes').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Document Types',
					exportOptions: {
						columns: [0]
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
	   /********************Export To Excel********/
	   
	   //dataTable with export to excel Car Damages
		if($('.datatableWithExportDamages').length>0){
			$('.datatableWithExportDamages').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					title:'',
					filename:'Car Damages',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
				 
			
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Car Parts
		if($('.datatableWithExportParts').length>0){
			$('.datatableWithExportParts').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					title:'',
					filename:'Car Parts',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
				 
			
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		
		//dataTable with export to excel Category of Loan Applicant
		if($('.datatableWithExportCategoryOfLoanApplicant').length>0){
			$('.datatableWithExportCategoryOfLoanApplicant').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					title:'',
					filename:'Category of Loan Applicant',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
				 
			
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		
		//dataTable with export to excel GST/Non-GST Company
		if($('.datatableWithExportGSTNonGST').length>0){
			$('.datatableWithExportGSTNonGST').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					title:'',
					filename:'GST/Non-GST Company',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
				 
			
					exportOptions: {
						columns: [0,1,2]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		
		//dataTable with export to excel Loan Type
		if($('.datatableWithExportloanType').length>0){
			$('.datatableWithExportloanType').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					title:'',
					filename:'Loan Type',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
				 
			
					exportOptions: {
						columns: [0]
					
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		
	//dataTable with export to excel Loan Scheme
		if($('.datatableWithExportloanScheme').length>0){
			$('.datatableWithExportloanScheme').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					title:'',
					filename:'Loan Scheme',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
				 
			
					exportOptions: {
						columns: [0]
					
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Insurance Done By
		if($('.datatableWithExportInsuranceDoneBy').length>0){
			$('.datatableWithExportInsuranceDoneBy').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					title:'',
					filename:'Insurance Done By',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
				 
			
					exportOptions: {
						columns: [0]
					
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		
		//dataTable with export to excel Transmission
		if($('.datatableWithExportTransmission').length>0){
			$('.datatableWithExportTransmission').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					title:'',
					filename:'Transmission',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
				 
			
					exportOptions: {
						columns: [0]
					
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		
		//dataTable with export to excel Customer Documents
		if($('.datatableWithExportCustomerDocuments').length>0){
			$('.datatableWithExportCustomerDocuments').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					title:'',
					filename:'Customer Documents',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
				 
			
					exportOptions: {
						columns: [0]
					
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		
		
	     //dataTable with export to excel Car Make
		if($('.datatableWithExportMake').length>0){
			$('.datatableWithExportMake').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					title:'',
					filename:'Car Make',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
				 
			
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Car Make
		if($('.datatableWithExportModel').length>0){
			$('.datatableWithExportModel').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Car Model',
					
					exportOptions: {
						columns: [0,1,2]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Car Segments
		if($('.datatableWithExportIndustries').length>0){
			$('.datatableWithExportIndustries').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//excel //excelHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Car Segment',
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Car Segments
		if($('.datatableWithExportSubModel').length>0){
			$('.datatableWithExportSubModel').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//excel //csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
				    filename:'Car Sub Model',
					exportOptions: {
						columns: [0,1,2,3]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Car Fuel
		if($('.datatableWithExportFule').length>0){
			$('.datatableWithExportFule').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
			    	extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Fuel Type',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Occupation
		if($('.datatableWithExportOccupation').length>0){
			$('.datatableWithExportOccupation').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Occupation',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Main Services or Products master
		if($('.datatableWithExportCategory').length>0){
			$('.datatableWithExportCategory').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Main Services or Products',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Product Service
		if($('.datatableWithExportProductService').length>0){
			$('.datatableWithExportProductService').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
				    filename:'Sub Service or Product',
					exportOptions: {
						columns: [0,1,2,3,4]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		
		//dataTable with export to excel Action
		if($('.datatableWithExportAction').length>0){
			$('.datatableWithExportAction').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'csvHtml5',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Actions',
				
					exportOptions: {
						columns: [0,1]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Addons
		if($('.datatableWithExportAddons').length>0){
			$('.datatableWithExportAddons').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Addons',
				
					exportOptions: {
						columns: [0,1,2,3]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Zones
		if($('.datatableWithExportZones').length>0){
			$('.datatableWithExportZones').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Zones',
				
					exportOptions: {
						columns: [0]
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]
			});
		}

		//dataTable with export to excel Attachments
		if($('.datatableWithExportAttachment').length>0){
			$('.datatableWithExportAttachment').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Attachments',
				
					exportOptions: {
						columns: [0,1]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Call Status
		if($('.datatableWithExportCallStatus').length>0){
			$('.datatableWithExportCallStatus').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Call Status 1',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Remarks
		if($('.datatableWithExportRemarks').length>0){
			$('.datatableWithExportRemarks').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Caller Remarks', 
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Caller remarks
		if($('.datatableWithExportCallerRemarks').length>0){
			$('.datatableWithExportCallerRemarks').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Caller Remarks 2',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Customer Group
		if($('.datatableWithExportCustomerGroup').length>0){
			$('.datatableWithExportCustomerGroup').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Customer Group',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Department
		if($('.datatableWithExportIndustriesDept').length>0){
			$('.datatableWithExportIndustriesDept').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Departments',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Designation
		if($('.datatableWithExportIndustriesDesig').length>0){
			$('.datatableWithExportIndustriesDesig').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Designation',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Enquiry Status
		if($('.datatableWithExportIndustriesEnquiry').length>0){
			$('.datatableWithExportIndustriesEnquiry').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Enquiry Status 2',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel GST
		if($('.datatableWithExportIndustriesGST').length>0){
			$('.datatableWithExportIndustriesGST').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'GST',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Insurance Company
		if($('.datatableWithExportIndustriesInsurance').length>0){
			$('.datatableWithExportIndustriesInsurance').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Insurance Companies',
				
					exportOptions: {
						columns: [0,1]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Insurance Type
		if($('.datatableWithExportIndustriesInsuranceType').length>0){
			$('.datatableWithExportIndustriesInsuranceType').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Insurance Type',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Insurer Type
		if($('.datatableWithExportIndustriesInsurer').length>0){
			$('.datatableWithExportIndustriesInsurer').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Insured Type',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Lead
		if($('.datatableWithExportIndustriesLead').length>0){
			$('.datatableWithExportIndustriesLead').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Lead By',
				
					exportOptions: {
						columns: [0,1]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Linking
		if($('.datatableWithExportIndustriesLingking').length>0){
			$('.datatableWithExportIndustriesLingking').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Linking Call Status 1 - Call Status 2 - Enquiry Stage 1 - Enquiry Stage 2',
				
					exportOptions: {
						columns: [0,1,2,3]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Memebership
		if($('.datatableWithExportIndustriesMembership').length>0){
			$('.datatableWithExportIndustriesMembership').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Memebership Type',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel NCB
		if($('.datatableWithExportIndustriesNCB').length>0){
			$('.datatableWithExportIndustriesNCB').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'NCB',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Pa Owner Driver
		if($('.datatableWithExportIndustriesOwnerDriver').length>0){
			$('.datatableWithExportIndustriesOwnerDriver').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'PA Owner Driver',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Payment Mode
		if($('.datatableWithExportIndustriesPaymentMode').length>0){
			$('.datatableWithExportIndustriesPaymentMode').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Payment Mode',
				
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Policy
		if($('.datatableWithExportIndustriesPolicy').length>0){
			$('.datatableWithExportIndustriesPolicy').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Policy Type',
				
					exportOptions: {
						columns: [0,1]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		//dataTable with export to excel Source
		if($('.datatableWithExportIndustriesSource').length>0){
			$('.datatableWithExportIndustriesSource').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Source',
					
					exportOptions: {
						columns: [0]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
					
				]

			
			});
		
		}
		/***********Export to Excel ***************/
		//dataTable with export to excel Document Type
		if($('.datatableWithExportDocumentType').length>0){
			$('.datatableWithExportDocumentType').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Document Type',
					exportOptions: {
						columns: [0]
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		 
		
		     //dataTable with export to excel proposals
        if($('.datatableWithExportproposal').length>0){
			$('.datatableWithExportproposal').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Proposals',
					exportOptions: {
						columns: [0,1,2,3,4,5]
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
	    //dataTable with export to excel segments
		if($('.datatableWithExportSegment').length>0){
			$('.datatableWithExportSegment').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Segments',
					exportOptions: {
						columns: [0]
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		
	    //dataTable with export to excel enquiries
		if($('.datatableWithExportEnquiries').length>0){
			$('.datatableWithExportEnquiries').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Enquiries',
					exportOptions: {
						columns: [0,1,2,3,4]
					}
				}],
				columnDefs: [
					{ targets: [5], orderable: false }
				]
			
			});
		}
		
	    //dataTable with export to excel finance reminders
		if($('.datatableWithReminders').length>0){
			$('.datatableWithReminders').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Finance Reminders',
					exportOptions: {
						columns: [0,1,2,3,4,5,6]
					}
				}]
			
			});
		}
		
		 //dataTable with export to excel to do list
		if($('.datatableWithExportToDoList').length>0){
			$('.datatableWithExportToDoList').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'To Do List',
					exportOptions: {
						columns: [0,1,2]
					}
				}],
				columnDefs: [
					{ targets: [3], orderable: false }
				]
			
			});
		}
		 //dataTable with export to excel expenses
		if($('.datatableWithExportExpenses').length>0){
			$('.datatableWithExportExpenses').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Expenses',
					exportOptions: {
						columns: [0,1,2,3,4]
					}
				}],
				columnDefs: [
					{ targets: [5], orderable: false }
				]
			
			});
		}
		//dataTable with export to excel Consultant and Vendor Category
		if($('.datatableWithExportVendor').length>0){
			$('.datatableWithExportVendor').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Consultant and Vendor Category',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		//dataTable with export to excel country
		if($('.datatableWithExportCountry').length>0){
			$('.datatableWithExportCountry').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Countries',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		 //dataTable with export to excel consultant and vendors
		if($('.datatableWithExportConsultantandvendor').length>0){
			$('.datatableWithExportConsultantandvendor').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Consultant and Vendors',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		//dataTable with export to excel product category
		if($('.datatableWithExportproductcategory').length>0){
			$('.datatableWithExportproductcategory').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Product Category Names',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		//dataTable with export to excel project category
		if($('.datatableWithExportprojectcategory').length>0){
			$('.datatableWithExportprojectcategory').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Project Category',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		//dataTable with export to excel department
		if($('.datatableWithExportDepartment').length>0){
			$('.datatableWithExportDepartment').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Department',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}

		//dataTable with export to excel designation
		if($('.datatableWithExportDesignation').length>0){
			$('.datatableWithExportDesignation').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Designation',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		
		//dataTable with export to excel Relationship
		if($('.datatableWithExportRelationship').length>0){
			$('.datatableWithExportRelationship').DataTable({ 
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Relationship',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		
		//dataTable with export to excel TypeOfService
		if($('.datatableWithExportTypeOfService').length>0){
			$('.datatableWithExportTypeOfService').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Type Of Service',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		
		
		
		//dataTable with export to excel TypeOfService
		if($('.datatableWithExportExpenseType').length>0){
			$('.datatableWithExportExpenseType').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Expense Type',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		
		//dataTable with export to excel EmployeeStatus
		if($('.datatableWithExportEmployeeStatus').length>0){
			$('.datatableWithExportEmployeeStatus').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Employee Status',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		
		
    //dataTable with export to excel tasks
		if($('.datatableWithExporttasks').length>0){
			$('.datatableWithExporttasks').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Tasks',
					exportOptions: {
						columns: [0,1]
					}
				}],
				
				columnDefs: [
					{ targets: [2], orderable: false }
				]
			
			});
		}
		
		
		//dataTable with export to excel subtasks
		if($('.datatableWithExportsubtasks').length>0){
			$('.datatableWithExportsubtasks').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Subtasks',
					exportOptions: {
						columns: [0]
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		
		
		
		//dataTable with export to excel business type
		if($('.datatableWithExportBusinessType').length>0){
			$('.datatableWithExportBusinessType').DataTable({
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Business Type',
					exportOptions: {
						columns: [0]
					}
				}] ,
				columnDefs: [
					{ targets: [1], orderable: false }
				]
			
			});
		}
		
		
		//dataTable with export to excel Sales Register Report
		if($('.datatableWithExportSalesRegReport').length>0){
			$('.datatableWithExportSalesRegReport').DataTable({
			    scrollX: true,
			    scrollY:'300px',
			    fixedHeader: true,
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'csvHtml5',
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'Sub Service/Product',
				
					exportOptions: {
						columns: [0,1,2,3,4]
						
					}
				}],
				columnDefs: [
					{ targets: [1], orderable: false },
					{ width: 120, targets: [8,14,19,20,21,22,23,24,25,36] },
					{ width: 80, targets: [0,11,29,39] },
					{ width: 200, targets: [42] }
					
				]

			
			});
		
		}
		
		 //dataTable with export to excel Sales Register Report - new ---------------------------
		if($('.datatableWithExportSalesRegisterReport').length>0){
			$('.datatableWithExportSalesRegisterReport').DataTable({
			    scrollX: true,
			    scrollY:'300px',
			    fixedHeader: true,
				dom: 'Blfrtip',
				lengthChange: true, 
				buttons: [
				{ 
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Sales Register Report', 
					
				}],
				columnDefs: [
					{ targets: [1], orderable: false },
					{ width: 120, targets: [8,14,19,20,21,22,23,24,25,36,41] },
					{ width: 80, targets: [0,11,18,29,39] },
					{ width: 200, targets: [42] },
					{ targets: [8,41], render: $.fn.dataTable.render.ellipsis(20) },
					{ targets: [1,2,4,18,38], render: $.fn.dataTable.render.ellipsis(15) },
					{ targets: [5,10], render: $.fn.dataTable.render.ellipsis(10) },
					{ targets: 42, render: $.fn.dataTable.render.ellipsis(40) }
				] 
			}); 
		}
		
		//dataTable with export to excel Daily Tracking Report
		if($('.datatableWithExportDailyTrackingReport').length>0){
			$('.datatableWithExportDailyTrackingReport').DataTable({
			    scrollX: true,
			    scrollY:'300px',
			    fixedHeader: true,
			    searching: false,
				dom: 'Blfrtip',
				lengthChange: true,
				buttons: [
				{
					extend: 'excel',//csvHtml5
					text: '<i class="mdi-file-excel" data-toggle="tooltip" title="Export To Excel"></i>',
					title:'',
					filename:'Daily Tracking Report',
				
					/*exportOptions: {
						columns: [0,1,2,3,4]
						
					}*/
				}],
				columnDefs: [
					{ width: 120, targets: [1,6,11,12,14,16,19,20,21,22,23,31,32] },
					{ width: 70, targets: [0,8] },
					{ targets: [1,2,3,6,8,16,23], render: $.fn.dataTable.render.ellipsis(15) }
					
				]

			
			});
		
		}
   
    }

    init();
    
    

})(jQuery)
